Subject: chmod broke? Or perhaps ' ls -l ' is inaccurate here
From: [email-masked] (Allan Peda)

28 May 1997 21:48:36 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

While playing with the deleting the .exe suffix, I employed chmod 777
as illustrated to a file formerly known as input.exe, but now 
renamed to 'input.'  It executes, but ls -l reveals:

bash$ chmod -v 777 input.
mode of input. changed to 0777 (rwxrwxrwx)
bash$ ls -l
total 186
....
..... > stuff deleted <
-rw-r--r--   1 544      everyone   111586 May 29 21:12 input
.....
....

So what gives here?  As I mentioned, the executable executes, but 
'ls -l' doesn't hint that it can.

hmmm?

Allan
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".